#1086 OSX (openix.be) crashes on searching for updates

KeePass_2.x
closed
nobody
OSX (2)
5
2013-10-07
2013-02-06
Martin Mapes
No

KeePass 2.20.1 for Mac OS X crashes on OS X.7.5 after it searches for an update. Keepass opens, then a new window opens searching for updates. Then the app crashes and closes. Subsequent attempts to open the app crash immediately.

Related

Bugs: #1086

Discussion

  • Dominik Reichl
    Dominik Reichl
    2013-02-15

    Can you please provide more details, like the stack trace when the crash occurs?

    I've tested it under both Windows and Linux without any problems, thus most likely this is a Mono issue on Mac OS X. Anyway, I'd still like to have a look at the details; maybe I can add a workaround.

    Best regards,
    Dominik

     
  • Martin Mapes
    Martin Mapes
    2013-02-16

    Hi Dominik. I think you're right that it's a Mono issue on OSX.

    I'd love to give you a stack trace. I am not quite sure how to find a stack
    trace, as the crash simply closes the app (I'm a web and app programmer, but
    not a native 'nix or OSX programmer). Can you point me to a tutorial or
    something? Will simply running it from the command line give me a stack
    trace?

    Martin Mapes

    From: Dominik Reichl [mailto:dreichl@users.sf.net]
    Sent: Friday, February 15, 2013 9:03 AM
    To: [keepass:bugs]
    Subject: [keepass:bugs] #1086 OSX (openix.be) crashes on searching for
    updates

    Can you please provide more details, like the stack trace when the crash
    occurs?

    I've tested it under both Windows and Linux without any problems, thus most
    likely this is a Mono issue on Mac OS X. Anyway, I'd still like to have a
    look at the details; maybe I can add a workaround.

    Best regards,
    Dominik


    [bugs:#1086] http://sourceforge.net/p/keepass/bugs/1086/ OSX (openix.be)
    crashes on searching for updates

    Status: open
    Labels: OSX
    Created: Wed Feb 06, 2013 09:29 PM UTC by Martin Mapes
    Last Updated: Wed Feb 06, 2013 09:29 PM UTC
    Owner: nobody

    KeePass 2.20.1 for Mac OS X crashes on OS X.7.5 after it searches for an
    update. Keepass opens, then a new window opens searching for updates. Then
    the app crashes and closes. Subsequent attempts to open the app crash
    immediately.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/keepass/bugs/1086/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #1086

  • Dominik Reichl
    Dominik Reichl
    2013-02-16

    When you open a console window and run the command line 'mono KeePass.exe' (when being in the KeePass folder), after the crash you should see detailed information (including the stack trace) in the console window.

    Thanks and best regards,
    Dominik

     
  • Duncan Drury
    Duncan Drury
    2013-02-20

    I am also seeing this on a Mac running Mountain Lion. KeePass starts, shows me an update available window, then becomes completely unresponsive then closes after a few minutes.

    When I then try and open KeePass from the Finder, it briefly shows up in the dock, then disappears.

    If I try to run it from terminal as instructed above after changing to /Applications/KeePass2.20.1.app/Contents/MacOS I don't get any output.

    Running 'mono -v KeePass.exe' results in the attached dump.

     
    Last edit: Duncan Drury 2013-02-20
    Attachments
  • Paul
    Paul
    2013-02-21

    Edit the KeePass.config.xml file and set the following line.

     <CheckForUpdate>false</CheckForUpdate>
    

    cheers, Paul

     
    • Martin Mapes
      Martin Mapes
      2013-02-21

      That worked for me. Thanks.

       
  • Duncan Drury
    Duncan Drury
    2013-02-21

    Making that change and I can get into KeePass running in Mono both from the command line, and from the Launchpad icon. Guess that is a temporary workaround that could be added to the distributed code until the underlying bug is fixed.

     
  • Dominik Reichl
    Dominik Reichl
    2013-02-22

    I don't think disabling update checking is a good solution. Most likely you could also simply upgrade to the latest version to solve the problem. Until the Mac OS X package is updated, copying the 2.21 files (from the portable KeePass ZIP package) over the 2.20.1 ones should be sufficient.

    The 'KeePassdump.txt' file unfortunately doesn't tell much; it's simply a list of how methods are compiled, without any information about an error. If someone can provide a stack trace, please do so.

    Thanks and best regards,
    Dominik

     
  • Dominik Reichl
    Dominik Reichl
    2013-02-22

    • status: open --> closed
     
  • Duncan Drury
    Duncan Drury
    2013-02-22

    The file provided was created using your instructions - if this wasn't a stack trace, then how does one get what you need?

    In terms of closing the bug - the bug isn't fixed. There is a workaround - which you don't think is a good idea so I don't quite understand why you would mark it as closed.

    I'll understand if you are saying the problem is with the distribution of KeyPass from openix.be and shouldn't be logged here. Unfortunately they don't provide an alternative place to log bugs with what they are distributing, and haven't upgraded the version of KeePass they are distributing for Mac OS X.

     
    Last edit: Duncan Drury 2013-02-22
  • Dominik Reichl
    Dominik Reichl
    2013-02-22

    The stack trace is usually output when running 'mono KeePass.exe' (without the '-v' switch). If Mono doesn't output anything when the crash occurs, this indicates a deep problem in Mono/framework, and most likely I'll not be able to create a workaround.

    Like I wrote before, I believe it's a bug in Mono (because on all other systems, including Linux ones, it works ok), neither in KeePass nor the Openix package. I've closed the bug report, because I don't have a Mac for testing this myself and the information was insufficient so far (which isn't your fault, when Mono doesn't output anything). Thus this bug report would just be open until the Mono developers fix the problem, which isn't very useful.

    Best regards,
    Dominik

     
  • Duncan Drury
    Duncan Drury
    2013-02-22

    Ok - that makes sense to me. There was definitely no output when running "mono keepass.exe". Thanks for clarifying.

     
  • John Brown
    John Brown
    2013-10-07

    The workaround is working for me. Thanks for that. Traceback attached.

     
    Attachments